Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class SelectorName

    java.lang.Object
      org.modeshape.graph.query.model.SelectorName

All Implemented Interfaces:
  Serializable, Readable

    @Immutable
    public class SelectorName

extends Object
implements Readable, Serializable

A representation of a qualified or expanded name.

See Also:
  Serialized Form

Constructor Summary
`SelectorName(String name)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getString()` Get the string representation of this query object.
`int` | `hashCode()`
`String` | `name()` The raw name of the selector.
`static Set<SelectorName>` | `nameSetFrom(SelectorName name)`
`static Set<SelectorName>` | `nameSetFrom(SelectorName firstName, SelectorName... names)`
`static Set<SelectorName>` | `nameSetFrom(Set<SelectorName> firstSet, Set<SelectorName> secondSet)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectorName

    public SelectorName(String name)

Method Detail

### name

    public String name()

  The raw name of the selector.

  Returns:
    the raw name; never null and never empty

### getString

    public String getString()

  Get the string representation of this query object.

  Specified by:
    `getString` in interface `Readable`
  Returns:
    the string representation; never null
  See Also:
    `Readable.getString()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### nameSetFrom

    public static Set<SelectorName> nameSetFrom(SelectorName name)

### nameSetFrom

    public static Set<SelectorName> nameSetFrom(SelectorName firstName,
                                                SelectorName... names)

### nameSetFrom

    public static Set<SelectorName> nameSetFrom(Set<SelectorName> firstSet,
                                                Set<SelectorName> secondSet)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.